Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocInverter Class Reference

This is a DocFieldConsumer that inverts each field, separately, from a Document, and accepts a InvertedTermsConsumer to process those terms. More...

`#include <DocInverter.h>`

Inheritance diagram for Lucene::DocInverter:

## Public Member Functions

| DocInverter (const InvertedDocConsumerPtr &consumer, const InvertedDocEndConsumerPtr &endConsumer)
virtual | ~DocInverter ()
virtual String | getClassName ()
boost::shared_ptr< DocInverter > | shared_from_this ()
virtual void | setFieldInfos (const FieldInfosPtr &fieldInfos)
virtual void | flush (MapDocFieldConsumerPerThreadCollectionDocFieldConsumerPerField threadsAndFields, const SegmentWriteStatePtr &state)
| Called when DocumentsWriter decides to create a new segment.
virtual void | closeDocStore (const SegmentWriteStatePtr &state)
| Called when DocumentsWriter decides to close the doc stores.
virtual void | abort ()
| Called when an aborting exception is hit.
virtual bool | freeRAM ()
| Called when DocumentsWriter is using too much RAM.
virtual DocFieldConsumerPerThreadPtr | addThread (const DocFieldProcessorPerThreadPtr &docFieldProcessorPerThread)
| Add a new thread.
Public Member Functions inherited from Lucene::DocFieldConsumer
virtual | ~DocFieldConsumer ()
boost::shared_ptr< DocFieldConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocFieldConsumer
static String | _getClassName ()

## Data Fields

InvertedDocConsumerPtr | consumer
InvertedDocEndConsumerPtr | endConsumer

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::DocFieldConsumer
FieldInfosPtr | fieldInfos
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This is a DocFieldConsumer that inverts each field, separately, from a Document, and accepts a InvertedTermsConsumer to process those terms.

## Constructor & Destructor Documentation

## ◆ DocInverter()

Lucene::DocInverter::DocInverter | ( | const InvertedDocConsumerPtr & | consumer,
|  | const InvertedDocEndConsumerPtr & | endConsumer
| ) |  |

## ◆ ~DocInverter()

virtual Lucene::DocInverter::~DocInverter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::DocInverter::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::DocInverter::abort | ( |  | ) |

virtual

Called when an aborting exception is hit.

Implements Lucene::DocFieldConsumer.

## ◆ addThread()

virtual DocFieldConsumerPerThreadPtr Lucene::DocInverter::addThread | ( | const DocFieldProcessorPerThreadPtr & | docFieldProcessorPerThread | ) |

virtual

Add a new thread.

Implements Lucene::DocFieldConsumer.

## ◆ closeDocStore()

virtual void Lucene::DocInverter::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

virtual

Called when DocumentsWriter decides to close the doc stores.

Implements Lucene::DocFieldConsumer.

## ◆ flush()

virtual void Lucene::DocInverter::flush | ( | MapDocFieldConsumerPerThreadCollectionDocFieldConsumerPerField | threadsAndFields,
|  | const SegmentWriteStatePtr & | state
| ) |  |

virtual

Called when DocumentsWriter decides to create a new segment.

Implements Lucene::DocFieldConsumer.

## ◆ freeRAM()

virtual bool Lucene::DocInverter::freeRAM | ( |  | ) |

virtual

Called when DocumentsWriter is using too much RAM.

Implements Lucene::DocFieldConsumer.

## ◆ getClassName()

virtual String Lucene::DocInverter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocFieldConsumer.

## ◆ setFieldInfos()

virtual void Lucene::DocInverter::setFieldInfos | ( | const FieldInfosPtr & | fieldInfos | ) |

virtual

Reimplemented from Lucene::DocFieldConsumer.

## ◆ shared_from_this()

boost::shared_ptr< DocInverter > Lucene::DocInverter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ consumer

InvertedDocConsumerPtr Lucene::DocInverter::consumer

## ◆ endConsumer

InvertedDocEndConsumerPtr Lucene::DocInverter::endConsumer

The documentation for this class was generated from the following file:

- DocInverter.h

clucene.sourceforge.net